DARKTABLE(1)

NAME
darktable-cli - a command line darktable variant

SYNOPSIS
    darktable-cli IMG_1234.{RAW,...} [<xmp file>] <output file> [options] [--core <darktable options>]

Options:

    --width <max width>
    --height <max height>
    --bpp <bpp>
    --hq <0|1|true|false>
    --verbose

DESCRIPTION
darktable is a digital photography workflow application for Linux and Mac OS X in the lines of Adobe Lightroom and Apple Aperture. It's described further in darktable(1).

darktable-cli is a command line variant to be used to export images given the raw file and the accompanying xmp file.

COMMAND LINE ARGUMENTS
The user needs to supply an input filename and an output filename. All other parameters are optional.

<input file>
    The name of the input file to export.

<xmp file>
    The optional name of an XMP sidecar file containing the history stack data to be applied during export. If this option is not given darktable will search for an XMP file that belongs to the given input file.

<output file>
    The name of the output file. darktable derives the export file format from the file extension.

--width <max width>
    This optional parameter allows one to limit the width of the exported image to that number of pixels.

--height <max height>
    This optional parameter allows one to limit the height of the exported image to that number of pixels.

--bpp <bpp>
    An optional parameter to define the bit depth of the exported image; allowed values depend on the file format. Currently this option is not yet functional. If you need to define the bit depth you need to use the following workaround:

        --core --conf plugins/imageio/format/<FORMAT>/bpp=<VALUE>

    where FORMAT is the name of the selected output format, for example png.

--hq <0|1|true|false>
    A flag that defines whether to use high quality resampling during export. Defaults to true.

--verbose
    Enables verbose output.

--core <darktable options>
    All command line parameters following --core are passed to the darktable core and handled as standard parameters. See darktable(1) for a detailed description of the options.

SEE ALSO
darktable(1)

AUTHORS
The principal developer of darktable is Johannes Hanika. The (hopefully) complete list of contributors to the project is:

* developers: Henrik Andersson, Johannes Hanika, Tobias Ellinghaus, Ulrich Pegelow. * ubuntu packaging, color management, video tutorials: Pascal de Bruijn. * opencl pipeline, usermanual: Ulrich Pegelow. * networking, battle testing, translation expert: Alexandre Prokoudine. * translation: a3novy, Alexandre Prokoudine, Anocha Yimsiriwattana, Artur de Sousa Rocha, Daniele Giorgis, Dimitrios Psychogios, Ger Siemerink, Guilherme Brondani Torri, Henrik Andersson, José Carlos Casimiro, Josep Puigdemont, María Leandro, Mauro Bartoccelli, Michał Prędotka, Mikko Ruohola, Milan Knížek, Olivier Tribout, Pascal Obry, Richard Levitte, Roberto Quintero, Sebastien Delcoigne, Thomas Costis, Thomas Pryds, Tobias Ellinghaus, Victor Lamoine. * contributors: Aldric Renaudin, Alexandre Prokoudine, Alexey Dokuchaev, Ammon Riley, Anton Keks, Antony Dovgal, Ari Makela, Benjamin Cahill, Brian Teague, Bruce Guenter, Cherrot Luo, Chris Mason, Christian Tellefsen, David Morel, Denis Cheremisov, Dennis Gnad, Diego Segura, Dimitrios Psychogios, Eckhart Pedersen, Edouard Gomez, Edward Herr, František Šidák, Gaspard Jankowiak, Ger Siemerink, Gianluigi Calcaterra, Guilherme Brondani Torri, Ivan Tarozzi, James C. McPherson, Jan Kundrát, Jean-Sébastien Pédron, Jérémy Rosen, Jesper Pedersen, Joao Trindade, Jon Leighton, Jose Carlos Garcia Sogo, Josef Wells, Julian J. M, Mattias Eriksson, Michal Babej, Michał Prędotka, Moritz Lipp, Olivier Tribout, Pascal de Bruijn, Pascal Obry, parafin, Petr Styblo, Pierre Le Magourou, Richard Levitte, Richard Tollerton, Robert Bieber, Roland Riegel, Roman Lebedev, Rostyslav Pidgornyi, Sergey Pavlov, Simon Harhues, Simon Spannagel, Stuart Henderson, Terry Jeffress, Tim Harder, Togan Muftuoglu, Tom Vanderpoel, Ulrich Pegelow, Wolfgang Goetz, Wolfgang Kuehnel, Yari Adan, hal, jan, maigl, tuxuser. And all those of you that made previous releases possible.

This man page was written by Richard Levitte <richard@levittr.org>.

COPYRIGHT AND LICENSE
Copyright (C) 2009-2013 by Authors.

darktable is free software; you can redistribute it and/or modify it under the terms of the GPL v3 or (at your option) any later version.